# Karte
Date: 2012-12-22

## Class Karte

- java.lang.Object
- - Karte

    public class Karte
    extends java.lang.Object

Speichert die Informationen über eine Karte für ein Kartenspiel. Jede Karte ist über eine Kartenfarbe und einen Kartenwert festgelegt.

Version:
  1.0 vom 19.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Karte(int farbe, int wert)` Erzeugt eine Karte.

### Method Summary

Methods
`int` `getFarbe()` Liefert die Farbe der Karte
`int` `getWert()` Liefert den Wert der Karte
`java.lang.String` `toString()` Liefert eine Textbeschreibung der Karte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Karte

    public Karte(int farbe,
         int wert)

Erzeugt eine Karte.

Parameters:
  `farbe` - Farbe (0=Kreuz, 1=Pik, 2=Herz, 3=Karo)
  `wert` - Kartenwert (1=Ass, 2=Zwei,...,10=Zehn, 11=Bube, 12=Dame, 13=König)

### Method Detail

#### getWert

    public int getWert()

Liefert den Wert der Karte

Returns:
  Kartenwert (1=Ass, 2=Zwei,...,10=Zehn, 11=Bube, 12=Dame, 13=König)

#### getFarbe

    public int getFarbe()

Liefert die Farbe der Karte

Returns:
  Kartenfarbe (0=Kreuz, 1=Pik, 2=Herz, 3=Karo)

#### toString

    public java.lang.String toString()

Liefert eine Textbeschreibung der Karte. Dies ist zum Testen der Klassen hilfreich.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Kartenbeschreibung (z.B. Kreuz 3)